Subject: Bug#1580:

From: Ricky Zhang <[email-masked]>
Date: Mon, 17 Jan 2022 08:43:33 -0500

Package: nx-libs
Version: 3.5.99.26-3

When I connected to the X2go server, the session was killed abruptly. I
found the X2go server log. It showed that x2goagent hit SEGFAULT.

I got the coredump:

Core was generated by `x2goagent -nolisten tcp -nolisten tcp -dpi 96 -D
> -auth /home/Ricky/.Xauthority'.
> Program terminated with signal SIGSEGV, Segmentation fault.
> #0  0x0000555ac58c043f in __glXDeassociateContext (glxc=0x555ac7fa0710) at
> GL/glx/glxutil.c:89
> Downloading 0.00 MB source file
> /usr/src/debug/nx-libs-3.5.99.26-3.fc35.x86_64/nx-X11/programs/Xserver/GL/glx/glxutil.c
> 89    for ( curr = glxc->drawPriv->drawGlxc
> (gdb) bt
> #0  0x0000555ac58c043f in __glXDeassociateContext (glxc=0x555ac7fa0710) at
> GL/glx/glxutil.c:89
> #1  0x0000555ac57eaec9 in ClientGone (clientIndex=1, id=<optimized out>)
> at hw/nxagent/../../GL/glx/glxext.c:120
> #2  0x0000555ac57ef433 in FreeClientResources (client=0x555ac7fa0070) at
> hw/nxagent/../../dix/resource.c:765
> #3  0x0000555ac57dfdd1 in FreeClientResources (client=0x555ac7fa0070) at
> hw/nxagent/../../dix/resource.c:740
> #4  xorg_CloseDownClient (client=client@entry=0x555ac7fa0070) at
> hw/nxagent/../../dix/dispatch.c:3554
> #5  0x0000555ac57e1260 in CloseDownClient (client=0x555ac7fa0070) at
> hw/nxagent/NXdispatch.c:1006
> #6  Dispatch () at hw/nxagent/NXdispatch.c:522
> #7  0x0000555ac57bebd1 in main (argc=<optimized out>, argv=<optimized
> out>, envp=<optimized out>) at dix/main.c:350
> (gdb)

---
Server:
[Ricky@t20:~]$ rpm -qa | grep x2go
x2goserver-common-4.1.0.3-13.fc35.noarch
x2goagent-4.1.0.3-13.fc35.x86_64
x2goserver-xsession-4.1.0.3-13.fc35.noarch
x2goserver-4.1.0.3-13.fc35.x86_64

[Ricky@t20:~]$ rpm -qa | grep nx-libs
nx-libs-3.5.99.26-3.fc35.x86_64

[Ricky@t20:~]$ uname -nr
t20 5.15.12-200.fc35.x86_64

Client:
[Ricky@xps:~]$ rpm -qa | grep x2go
x2goclient-4.1.2.2-5.fc35.x86_64

[Ricky@xps:~]$ uname -nr
xps 5.15.12-200.fc35.x86_64